<template>
	<div class="category mt-2">
		<el-row :span="10">
	    	<el-tabs v-model="activeName" class="tab-name">
			    <el-tab-pane label="Expenses" name="first" class="text-left">
			    	<expenses-categories-table></expenses-categories-table>
			    </el-tab-pane>

			    <el-tab-pane label="Income" name="second" class="text-left">
			    	<income-categories-table></income-categories-table>
			    </el-tab-pane>
			</el-tabs>
		</el-row>
  </div>
</template>

<script>
	import ExpenseTable from './ExpenseTable.vue';
	import IncomeTable from './IncomeTable.vue';
	export default {
	    data() {
	        return {
	        	categories: null,
	        	error: null,
	        	activeName: 'first',
	        };
	    },

	    components: {
	    	'expenses-categories-table' : ExpenseTable,
	    	'income-categories-table' : IncomeTable
	    },

	    methods: {
    	    deleteCategory(id) {
    	    	axios.delete('/categories/' +id )
    	    	.then(response => {
    	    		console.log("Deleted");
    	    	})
    	    	.catch(function(error) {
    	    		console.log(error);
    	    	});
    	    	this.showCategory();
    	    },
    	    showCategory() {
  	    		axios.get('/categories')
            .then(response => {
                this.categories = response.data;
            })
            .catch(function(error) {
              console.log(error);
          	})
          	.finally(() => this.loading = false)
          },
          deleteModal(id) {
            this.$confirm('This will permanently delete the data. Continue?', 'Warning', {
              	confirmButtonText: 'OK',
              	cancelButtonText: 'Cancel',
              	type: 'warning'
            }).then(() => {
              	this.$message({
                	type: 'success',
                	message: 'Delete completed',
                	option: this.deleteCategory(id)
              	});
            }).catch(() => {
              this.$message({
                type: 'info',
                message: 'Delete canceled'
              });          
            });
          },
    	},
	    mounted() {
        	this.loading = true;
        	this.showCategory();            
	    }
	}
</script>

<style>
	.category {
		width: 65vw;
		margin: auto;
	}
  .category .tab-name {
    font-size: 24px;
  }
	ul li i {
		font-size: 18px;
		margin-right: 5px;
	}
	.row-style {
		padding: 5px 0;
	}
</style>